Support » Plugin: WP eCommerce » Braintree requires xmlwriter

  • fivestarg

    (@fivestarg)


    Hi,

    I’m getting the below errors after installing your plugin.

    My Setup:
    -Wordpress Version: 4.9.8
    -PHP Version: PHP7.0
    -xmlwriter is installed
    -Apache2
    -OS Ubuntu 16.04

    ERROR MESSAGES
    —————————————————————————————
    Fatal error: Uncaught Braintree\Exception: The Braintree library requires the xmlwriter extension. in /var/www/wordpress/alphanode.online/public_html/wp-content/plugins/wp-e-commerce/wpsc-components/merchant-core-v3/libraries/pp-braintree/sdk/lib/Braintree.php:18

    Stack Trace
    1.
    PPrequireDependencies()
    /var/www/wordpress/alphanode.online/public_html/wp-content/plugins/wp-e-commerce/wpsc-components/merchant-core-v3/libraries/pp-braintree/sdk/lib/Braintree.php:23
    2.
    require_once(‘/var/www/wordpr…’)
    /var/www/wordpress/alphanode.online/public_html/wp-content/plugins/wp-e-commerce/wpsc-components/merchant-core-v3/libraries/pp-braintree/pp-braintree.php:39
    3.
    WPEC_Braintree_Helpers::includes()
    /var/www/wordpress/alphanode.online/public_html/wp-content/plugins/wp-e-commerce/wpsc-components/merchant-core-v3/libraries/pp-braintree/pp-braintree.php:20
    4.
    WPEC_Braintree_Hel in /var/www/wordpress/alphanode.online/public_html/wp-content/plugins/wp-e-commerce/wpsc-components/merchant-core-v3/libraries/pp-braintree/sdk/lib/Braintree.php on line 18
    /var/www/wordpress/alphanode.online/public_html/wp-content/plugins/wp-e-commerce/wpsc-components/merchant-core-v3/gateways/braintree-credit-cards.php:8

Viewing 2 replies - 1 through 2 (of 2 total)
Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘Braintree requires xmlwriter’ is closed to new replies.